How to custom validation in EJ2 JavaScript Numeric Textbox

21 Aug 20266 minutes to read

This section explains how to perform custom validation on the NumericTextBox using FormValidator. The NumericTextBox will be validated when the value changes or the user clicks the submit button. Validation can be performed by adding custom validation in the rules collection of the FormValidator.

// initializes the NumericTextBox component
var numeric = new ej.inputs.NumericTextBox({
    // sets value to the NumericTextBox
    value: 15,
    min: 10,
    max: 100,
    strictMode : false,
    placeholder: 'NumericTextbox',
    floatLabelType: 'Always',
     change: function(args){
        if (numeric.value != null)
            formObject.validate("numericRange");
        }
});
numeric.appendTo('#numeric1');

//initialize button
var button = new ej.buttons.Button();
button.appendTo('#submit_btn')


// checks the value of NumericTextbox and returns the corresponding boolean value
var customFn = function(args) {
    if (numeric.value>=10 && numeric.value<=100) {
    return true;
    }
    else {
        return false;
    }
};
// sets required property in the FormValidator rules collection
var options = {
    rules: {
      'numericRange': {required: [true, "Number is required"]},
    }
}
// defines FormValidator to validate the NumericTextBox
var formObject =  new ej.inputs.FormValidator('#form-element', options);
//rules for validating the NumericTextbox
formObject.addRules('numericRange', { range: [customFn, "Please enter a number between 10 to 100"] });

// places error label outside the NumericTextBox using the customPlacement event of FormValidator
var customPlace= function(element, error) {
    element.parentNode.parentNode.appendChild(error);
};
formObject.customPlacement = customPlace;   
var submitBtn = document.getElementById('submit_btn');
submitBtn.onclick = function () {
    // validates the NumericTextBox
    formObject.validate("numericRange");
    var ele = document.getElementById('numeric1');
    // checks for incomplete value and alerts the formt submit
    if (ele.value !== "" && ele.value >=10 && ele.value<=100) {
        alert("Submitted");
    }
};
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 NumericTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript NumericTextBox Component with Form Validation">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
            <form id="form-element" class="form-horizontal">
                <div class="form-group">
                    <input id="numeric1" type="text" name="numericRange" class="form-control">
                    <div id="error"></div>
                    <button type="button" id="submit_btn" style="margin-top: 10px">Submit</button>
                </div>
            </form>
        </div>
    </div>

<style>
    .e-numeric.e-control-wrapper {
        margin-bottom: 20px;
    }
     label.e-error {
        margin-top: -50px;
    }
</style>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
  padding-top:100px;
}

How to perform custom validation using FormValidator in Vue Numeric Textbox

21 Aug 202615 minutes to read

This section explains how to perform custom validation on the NumericTextBox using FormValidator. The NumericTextBox will be validated when the value changes or the user clicks the submit button.
Validation can be performed by adding custom validation in the rules collection of the FormValidator.

<template>
  <div id="app">
    <div class='wrap'>
      <form id="form-element" class="form-horizontal">
        <div class="form-group">
          <ejs-numerictextbox id="numericRange" name="numericRange" class="form-control" floatLabelType='Always' :min='min' :max='max' :strictMode='strictMode'  :created='onCreate' :change='onChange'></ejs-numerictextbox>
          <button type="button" id="submit_btn" style="margin-top: 40px" v-on:click="onClick">Submit</button>
        </div>
      </form>
    </div>
  </div>
</template>
<script setup>

import { NumericTextBoxComponent as EjsNumerictextbox} from "@syncfusion/ej2-vue-inputs";
import { FormValidator } from '@syncfusion/ej2-inputs';

// checks the value of NumericTextbox and returns the corresponding boolean value
var customFn = function () {
  var numeric = document.getElementById('numericRange').ej2_instances[0];
  if (numeric.value >= 10 && numeric.value <= 100) {
    return true;
  }
  else {
    return false;
  }
};

// sets required property in the FormValidator rules collection
var options = {
  rules: {
    'numeric': { required: [true, "Number is required"] },
  },
};
// defines FormValidator to validate the NumericTextBox
var formObject = new FormValidator('#form-element', options);

// places error label outside the NumericTextBox using the customPlacement event of FormValidator
formObject.customPlacement = function (element, errorElement) {
  element.parentNode.parentNode.parentNode.appendChild(errorElement);
};
//rules for validating the NumericTextbox
formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });

const min = 10;
const max = 100;
const strictMode = false;



const onCreate = () => {
  document.getElementById("numericRange").setAttribute("name", "numeric");
};
const onClick = () => {
  // checks the value of NumericTextbox and returns the corresponding boolean value
  var customFn = function () {
    var numeric = document.getElementById('numericRange').ej2_instances[0];
    if (numeric.value >= 10 && numeric.value <= 100) {
      return true;
    }
    else {
      return false;
    }
  };

  // sets required property in the FormValidator rules collection
  var options = {
    rules: {
      'numeric': { required: [true, "Number is required"] },
    },
  }
  // defines FormValidator to validate the NumericTextBox
  var formObject = new FormValidator('#form-element', options);
  // places error label outside the NumericTextBox using the customPlacement event of FormValidator
  formObject.customPlacement = function (element, errorElement) {
    element.parentNode.parentNode.parentNode.appendChild(errorElement);
  };

  //rules for validating the NumericTextbox
  formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
  formObject.validate("numeric");

  var ele = document.getElementById('numericRange').ej2_instances[0];
  // checks for incomplete value and alerts the formt submit
  if (ele.value >= 10 && ele.value <= 100) {
    alert("Submitted");
  }
};
const onChange = () => {
  // checks the value of NumericTextbox and returns the corresponding boolean value
  var customFn = function () {
    var numeric = document.getElementById('numericRange').ej2_instances[0];
    if (numeric.value >= 10 && numeric.value <= 100) {
      return true;
    }
    else {
      return false;
    }
  };

  // sets required property in the FormValidator rules collection
  var options = {
    rules: {
      'numeric': { required: [true, "Number is required"] },
    },
  }
  // defines FormValidator to validate the NumericTextBox
  var formObject = new FormValidator('#form-element', options);
  // places error label outside the NumericTextBox using the customPlacement event of FormValidator
  formObject.customPlacement = function (element, errorElement) {
    element.parentNode.parentNode.parentNode.appendChild(errorElement);
  };

  //rules for validating the NumericTextbox
  formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
  var numeric = document.getElementById('numericRange');
  if (numeric.value != null) {
    formObject.validate("numeric");
  }
};
 
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
    padding-top: 100px;
}
   label.e-error {
      margin-top: -50px;
  }
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <form id="form-element" class="form-horizontal">
        <div class="form-group">
          <ejs-numerictextbox id="numericRange" name="numericRange" class="form-control" floatLabelType='Always'
            :min='min' :max='max' :strictMode='strictMode' :created='onCreate' :change='onChange'></ejs-numerictextbox>
          <button type="button" id="submit_btn" style="margin-top: 40px" v-on:click="onClick">Submit</button>
        </div>
      </form>
    </div>
  </div>
</template>
<script>

import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";
import { FormValidator } from '@syncfusion/ej2-inputs';

export default {
  name: "App",
  components: {
    "ejs-numerictextbox": NumericTextBoxComponent
  },
  data() {
    // checks the value of NumericTextbox and returns the corresponding boolean value
    var customFn = function () {
      var numeric = document.getElementById('numericRange').ej2_instances[0];
      if (numeric.value >= 10 && numeric.value <= 100) {
        return true;
      }
      else {
        return false;
      }
    };

    // sets required property in the FormValidator rules collection
    var options = {
      rules: {
        'numeric': { required: [true, "Number is required"] },
      },
    }
    // defines FormValidator to validate the NumericTextBox
    var formObject = new FormValidator('#form-element', options);

    // places error label outside the NumericTextBox using the customPlacement event of FormValidator
    formObject.customPlacement = function (element, errorElement) {
      element.parentNode.parentNode.parentNode.appendChild(errorElement);
    };
    //rules for validating the NumericTextbox
    formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] })
    return {
      min: 10,
      max: 100,
      strictMode: false
    }
  },
  methods: {
    onCreate: function () {
      document.getElementById("numericRange").setAttribute("name", "numeric");
    },
    onClick: function () {
      // checks the value of NumericTextbox and returns the corresponding boolean value
      var customFn = function () {
        var numeric = document.getElementById('numericRange').ej2_instances[0];
        if (numeric.value >= 10 && numeric.value <= 100) {
          return true;
        }
        else {
          return false;
        }
      };

      // sets required property in the FormValidator rules collection
      var options = {
        rules: {
          'numeric': { required: [true, "Number is required"] },
        },
      }
      // defines FormValidator to validate the NumericTextBox
      var formObject = new FormValidator('#form-element', options);
      // places error label outside the NumericTextBox using the customPlacement event of FormValidator
      formObject.customPlacement = function (element, errorElement) {
        element.parentNode.parentNode.parentNode.appendChild(errorElement);
      };

      //rules for validating the NumericTextbox
      formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
      formObject.validate("numeric");

      var ele = document.getElementById('numericRange').ej2_instances[0];
      // checks for incomplete value and alerts the formt submit
      if (ele.value >= 10 && ele.value <= 100) {
        alert("Submitted");
      }
    },
    onChange: function () {
      // checks the value of NumericTextbox and returns the corresponding boolean value
      var customFn = function () {
        var numeric = document.getElementById('numericRange').ej2_instances[0];
        if (numeric.value >= 10 && numeric.value <= 100) {
          return true;
        }
        else {
          return false;
        }
      };

      // sets required property in the FormValidator rules collection
      var options = {
        rules: {
          'numeric': { required: [true, "Number is required"] },
        },
      }
      // defines FormValidator to validate the NumericTextBox
      var formObject = new FormValidator('#form-element', options);
      // places error label outside the NumericTextBox using the customPlacement event of FormValidator
      formObject.customPlacement = function (element, errorElement) {
        element.parentNode.parentNode.parentNode.appendChild(errorElement);
      };

      //rules for validating the NumericTextbox
      formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
      var numeric = document.getElementById('numericRange');
      if (numeric.value != null) {
        formObject.validate("numeric");
      }
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0 auto;
  width: 240px;
  padding-top: 100px;
}

label.e-error {
  margin-top: -50px;
}</style>

How to add custom validation in React NumericTextBox

9 Aug 202610 minutes to read

Implement custom validation logic for the NumericTextBox using the FormValidator component. Define custom validation rules that trigger on value changes or form submission. The following example demonstrates how to add custom validation rules to the FormValidator’s rules collection to validate NumericTextBox input.

import { FormValidator } from '@syncfusion/ej2-inputs';
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
// initializes NumericTextBox component
export default class App extends React.Component {
    numericInstance;
    formObject;
    constructor(props) {
        super(props);
        this.onChange = this.onChange.bind(this);
        this.onCreate = this.onCreate.bind(this);
    }
    onChange() {
        this.formObject.validate("numeric");
    }
    onCreate() {
        // checks the value of NumericTextbox and returns the corresponding boolean value
        const customFn = (args) => {
            if (this.numericInstance.value >= 10 && this.numericInstance.value <= 100) {
                return true;
            }
            else {
                return false;
            }
        };
        const options = {
            rules: {
                'numeric': { required: [true, "Number is required"] },
            }
        };
        // defines FormValidator to validate the NumericTextBox
        this.formObject = new FormValidator('#form-element', options);
        this.formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
        const proxy = this;
        document.getElementById('submit_btn').addEventListener('click', () => {
            proxy.formObject.validate('numeric');
            const ele = document.getElementById('numeric');
            // checks for incomplete value and alerts the formt submit
            if (ele.value !== "" && parseInt(ele.value, 10) >= 10 && parseInt(ele.value, 10) <= 100) {
                alert("Submitted");
            }
        });
    }
    render() {
        return (<div>
            <NumericTextBoxComponent id="numeric" name='numeric' placeholder="NumericTextbox" min={10} max={100} strictMode={false} ref={(numeric) => { this.numericInstance = numeric; }} change={this.onChange} created={this.onCreate} floatLabelType='Always'/>
            <label className='e-error' htmlFor={'numeric'}/>
            <button id="submit_btn" style={{ marginTop: '10px' }}>Submit</button>
          </div>);
    }
}
;
ReactDOM.render(<App />, document.getElementById('numericContainer'));
import { FormValidator, FormValidatorModel } from '@syncfusion/ej2-inputs';
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

// initializes NumericTextBox component
export default class App extends React.Component<{}, {}> {
  public numericInstance: any;
  private formObject: FormValidator;

   constructor(props: any) {
     super(props);
     this.onChange = this.onChange.bind(this);
     this.onCreate = this.onCreate.bind(this);
   }

   public onChange(){
          this.formObject.validate("numeric");
   }

   public onCreate(): void{
      // checks the value of NumericTextbox and returns the corresponding boolean value
        const customFn: (args: { [key: string]: string }) => boolean = (args: { [key: string]: string }) => {
          if(this.numericInstance.value>=10 && this.numericInstance.value<=100) {
            return true;
          }
          else {
            return false;
         }
        };
        const options: FormValidatorModel = {
          rules: {
              'numeric': { required: [true, "Number is required"] },
          }
        };
        // defines FormValidator to validate the NumericTextBox
        this.formObject = new FormValidator('#form-element', options);

        this.formObject.addRules('numeric', { range: [customFn, "Please enter a number between 10 to 100"] });
        const proxy = this;
        (document.getElementById('submit_btn') as HTMLElement).addEventListener('click', () => {
              proxy.formObject.validate('numeric');
              const ele: HTMLInputElement = document.getElementById('numeric') as HTMLInputElement;
               // checks for incomplete value and alerts the formt submit
              if (ele.value !== "" && parseInt(ele.value, 10) >=10 && parseInt(ele.value, 10)<=100) {
                alert("Submitted");
               }
        });
   }
   public render() {
     return (
          <div>
            <NumericTextBoxComponent id="numeric" name='numeric'  placeholder="NumericTextbox" min= {10} max={100} strictMode={false} ref={(numeric) => { this.numericInstance = numeric as NumericTextBoxComponent; }}  change={this.onChange} created={this.onCreate} floatLabelType='Always' />
            <label className='e-error' htmlFor={'numeric'}/>
            <button id="submit_btn" style={{ marginTop: '10px' }}>Submit</button>
          </div>
     );
   }
};
ReactDOM.render(<App />, document.getElementById('numericContainer'));

Perform custom validation using form validator in Angular NumericTextBox component

26 Feb 20266 minutes to read

Custom validation on the NumericTextBox can be implemented using the FormValidator component. Validation is triggered when the value changes or when the user submits the form. The following example shows how to add custom validation rules to the FormValidator.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'



import { Component, ViewChild } from '@angular/core';
import { NumericTextBoxComponent  } from '@syncfusion/ej2-angular-inputs';
import { FormValidator, FormValidatorModel } from '@syncfusion/ej2-inputs';

@Component({
imports: [
        FormsModule, NumericTextBoxModule
    ],


standalone: true,
    selector: 'app-root',
    // Initializes the NumericTextBox
    //Renders submit button for validating the NumericTextBox
    template: `
    <form #formElement class="form-horizontal">
        <div class="form-group">
            <div class="col-sm-6">
                <ejs-numerictextbox #numeric="" id="numeric"  [strictMode]='false'  min='10' max='100' name="numeric" placeholder= 'NumericTextbox' floatLabelType= 'Always'  (created)="onCreate($event)" (change)= "onChange($event)"></ejs-numerictextbox>
            </div>
                <button type="button" id="submit_btn" (click)="btnClick()" style="margin-top: 10px">Submit</button>
        </div>
    </form>
    `
})

export class AppComponent {
    @ViewChild('formElement') element: any;
    @ViewChild('numeric') numeric?: NumericTextBoxComponent | any;
    public formObject?: FormValidator;
    ngAfterViewInit() {
        let customFn: (args: { [key: string]: string }) => boolean = (args: { [key: string]: string }) => {
            if(this.numeric.value>=10 && this.numeric.value<=100) {
                return true;
            }
            else {
                return false;
            }
        };
        // sets required property in the FormValidator rules collection
        let options: FormValidatorModel = {
            rules: {
               'numericRange': { required: [true, "Number is required"] },
            },
            //to place the error message in custom position
            customPlacement: (inputElement: HTMLElement, errorElement: HTMLElement) => {
                (inputElement as HTMLElement | any).parentNode.parentNode.parentNode.appendChild(errorElement);
            }
        };
        this.formObject = new FormValidator(this.element.nativeElement, options);

        this.formObject.addRules('numericRange', { range: [customFn, "Please enter a number between 10 to 100"] });
        var proxy = this;
    }
    // validates NumericTextBox while value changes
    public onChange(args: any){
        if (this.numeric.value != null)
            this.formObject?.validate("numericRange");
    }
    public onCreate(args: any){
          (document.getElementById("numeric") as HTMLElement).setAttribute("name", "numericRange");
    }
    public btnClick(): void {
        // validates the NumericTextBox
        this.formObject?.validate("numericRange");
        // checks for incomplete value and alerts the form
        let ele: HTMLInputElement | any = <HTMLInputElement>document.getElementById('numeric');
            if (ele.value !== "" && ele.value >=10 && ele.value<=100) {
                alert("Submitted");
            }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));